external
Scout API 1.0.0 — see schemas for shared types.
external_services
GET /api/external/callback
unified_oauth_callback
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
state |
query | string | null | no | |
code |
query | string | null | no | |
error |
query | string | null | no |
Responses
GET /api/external/callback/{service}
auth_callback
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
service |
path | string | yes | |
state |
query | string | null | no | |
code |
query | string | null | no | |
error |
query | string | null | no |
Responses
GET /api/external/login
login
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
nonce |
query | string | yes |
Responses
POST /api/external/login/{service}/prepare/
prepare_login
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
service |
path | string | yes |
Responses
- 200 — OK
application/json→ PrepareLoginResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/external/logout/{service}/
logout
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
service |
path | string | yes |
Responses
- 200 — OK
application/json→ LogoutResponse- 422 — Unprocessable Content
application/json→ ValidationError